<template>
  <div class="backup">
    <div class="backup-container">
      <p class="secret">{{ key2FA }}</p>
      <p class="description">{{ $t('otp.backup.desc') }}</p>
    </div>
    <div class="backup-footer">
      <div class="backup-footer btn-group">
        <div class="btn-item">
          <button class="btn-step btn-prev-step" @click="$emit('previous')" type="button"><i class="fa fa-angle-left" aria-hidden="true"></i> {{ $t('otp.btnPrev') }}</button>
        </div>
        <div class="btn-item">
          <button @click="$emit('next')" type="button" class="btn-step btn-next-step">{{ $t('otp.btnNext') }} <i class="fa fa-angle-right" aria-hidden="true"></i></button>
        </div>
      </div>
    </div>
  </div>
  </div>
</template>
<script>
import { mapState } from 'vuex';

export default {
  computed: {
    ...mapState([
      'key2FA',
    ]),
  },
};
</script>
<style lang="scss" scoped>
  @import '../../../../sass/_variables.scss';

  .backup {
    .backup-container {
      .secret {
        background: $bg_white;
        margin-bottom: 12rem;
        margin-top: 10rem;
        display: block;
        font-size: $medium;
        font-weight: bold;
        color: $black;
        text-align: center;
        padding: 25rem 0;
      }
      .description {
        font-size: $small;
        font-style: normal;
        font-stretch: normal;
        line-height: 1.4;
        letter-spacing: normal;
        color: #989898;
        margin-top: 8rem;
      }
    }
    .backup-footer {
      display: block;
      position: absolute;
      width: 100%;
      right: 3rem;
      bottom: 0;
    }
  }
</style>
